GETLABELSECTOR(3)

NAME
getlabelsector, getlabeloffset - get the sector number and offset of the disklabel

LIBRARY
libutil

SYNOPSIS
#include <util.h>
daddr_t
getlabelsector(void);
off_t
getlabeloffset(void);

DESCRIPTION
The getlabelsector() and getlabeloffset() functions return values which describe the exact on-disk location of the disklabel(5) on the current system, or -1 on error. These functions supersede the hardcoded LABELSECTOR and LABELOFFSET definitions previously used to derive the location of the disklabel(5).

SEE ALSO
sysctl(3), disklabel(5)

HISTORY
The getlabelsector() and getlabeloffset() functions appeared in NetBSD 2.0.